Subject: Re: bug#45068: [PATCH] 28.0.50; Update Modus themes 1.0.2 (backward-incompatible)

From: Protesilaos Stavrou <[email-masked]>
Date: Wed, 03 Mar 2021 20:06:42 +0200

On 2021-03-03, 16:31 +0000, "Basil L. Contovounesios" <[email-masked]> wrote:

> "Basil L. Contovounesios" <[email-masked]> writes:
>
>> I'll suggest a patch soon to help the discussion.
>
> How's the attached?
>
> Thanks,

I applied it and it works for what I want to do.  The decoupling feels
more appropriate.

The major difference I see between evaluating 'require-theme' and
'require' forms is that the latter errors with a backtrace buffer, while
the former logs a message.

Compare those:

    (require 'give-me-error)
    (require-theme 'give-me-error)

At any rate, tomorrow I will share with you the new version of my themes
and their manual.

Thank you!

-- 
Protesilaos Stavrou
protesilaos.com